services:


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################001

    yankee-desktop-remix-001:
        container_name: yankee-desktop-remix-001
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-001
        ports:
            - "20012:22"
            - "20018:80"
            - "20019:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################002

    yankee-desktop-remix-002:
        container_name: yankee-desktop-remix-002
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-002
        ports:
            - "20022:22"
            - "20028:80"
            - "20029:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################003

    yankee-desktop-remix-003:
        container_name: yankee-desktop-remix-003
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-003
        ports:
            - "20032:22"
            - "20038:80"
            - "20039:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################004

    yankee-desktop-remix-004:
        container_name: yankee-desktop-remix-004
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-004
        ports:
            - "20042:22"
            - "20048:80"
            - "20049:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################005

    yankee-desktop-remix-005:
        container_name: yankee-desktop-remix-005
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-005
        ports:
            - "20052:22"
            - "20058:80"
            - "20059:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################006

    yankee-desktop-remix-006:
        container_name: yankee-desktop-remix-006
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-006
        ports:
            - "20062:22"
            - "20068:80"
            - "20069:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee


##########################################
##
## orchestration / yankee-desktop-remix
##
##########################################007

    yankee-desktop-remix-007:
        container_name: yankee-desktop-remix-007
        image: softwareshinobi/yankee-desktop-remix
        restart: unless-stopped
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - yankee-nfs-downloads:/root/Downloads
        hostname: yankee-desktop-007
        ports:
            - "20072:22"
            - "20078:80"
            - "20079:5900"
        environment:
            TZ: America/Bogota
            USER_UID: 1000
            USER_GID: 1000
            USER: root
            PASSWORD: yankee
            HTTP_PASSWORD: yankee

##########################################
##
## volumes / yankee-desktop-remix
##
##########################################

volumes:
    yankee-nfs-downloads:
        driver_opts:
            type: "nfs"
            o: nfsvers=4,addr=osiris.yankee.embanet.online,nolock,hard,rw
            device: ":/"

